Package org.linphone.core

# Interface CoreListener

All Known Implementing Classes:
  `CoreListenerStub`

public interface CoreListener
That class holds all the callbacks which are called by `Core`.
Once created, add your `CoreListener` using `Core.addListener(org.linphone.core.CoreListener)`.
Keep a reference on it as long as you need it. You can use `Core.removeListener(org.linphone.core.CoreListener)`
to remove it but that isn't mandatory.
The same applies to all listeners in our API.

## Method Summary

Modifier and Type
Method
Description
`void`
`onAccountAdded(Core core, Account account)`
Gets the account added callback.
`void`
`onAccountRegistrationStateChanged(Core core, Account account, RegistrationState state, String message)`
Gets the account registration state changed callback.
`void`
`onAccountRemoved(Core core, Account account)`
Gets the new account removed callback.
`void`
`onAudioDeviceChanged(Core core, AudioDevice audioDevice)`
Gets the audio device changed callback.
`void`
`onAudioDevicesListUpdated(Core core)`
Gets the audio devices list updated callback.
`void`
`onAuthenticationRequested(Core core, AuthInfo authInfo, AuthMethod method)`
Gets the LinphoneCoreCbsAuthenticationRequestedCb callback.
`void`
`onBuddyInfoUpdated(Core core, Friend linphoneFriend)`
Gets the LinphoneCoreCbsBuddyInfoUpdatedCb callback.
`void`
`onCallCreated(Core core, Call call)`
Gets the call created callback.
`void`
`onCallEncryptionChanged(Core core, Call call, boolean mediaEncryptionEnabled, String authenticationToken)`
Gets the LinphoneCoreCbsCallEncryptionChangedCb callback.
`void`
`onCallGoclearAckSent(Core core, Call call)`
Gets the LinphoneCoreCbsCallGoClearAckSentCb callback.
`void`
`onCallIdUpdated(Core core, String previousCallId, String currentCallId)`
Gets the LinphoneCoreCbsCallIdUpdatedCb callback.
`void`
`onCallLogUpdated(Core core, CallLog callLog)`
Gets the LinphoneCoreCbsCallLogUpdatedCb callback.
`void`
`onCallReceiveMasterKeyChanged(Core core, Call call, String masterKey)`
Gets the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.
`void`
`onCallSendMasterKeyChanged(Core core, Call call, String masterKey)`
Gets the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.
`void`
`onCallStateChanged(Core core, Call call, Call.State state, String message)`
Gets the LinphoneCoreCbsCallStateChangedCb callback.
`void`
`onCallStatsUpdated(Core core, Call call, CallStats callStats)`
Gets the LinphoneCoreCbsCallStatsUpdatedCb callback.
`void`
`onChatRoomEphemeralMessageDeleted(Core core, ChatRoom chatRoom)`
Gets the chat room ephemeral message deleted callback.
`void`
`onChatRoomRead(Core core, ChatRoom chatRoom)`
Gets the LinphoneCoreCbsChatRoomReadCb callback.
`void`
`onChatRoomSessionStateChanged(Core core, ChatRoom chatRoom, Call.State state, String message)`
Gets the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.
`void`
`onChatRoomStateChanged(Core core, ChatRoom chatRoom, ChatRoom.State state)`
Gets the chat room state changed callback.
`void`
`onChatRoomSubjectChanged(Core core, ChatRoom chatRoom)`
Gets the chat room subject changed callback.
`void`
`onConferenceInfoReceived(Core core, ConferenceInfo conferenceInfo)`
Gets the conference info received callback.
`void`
`onConferenceStateChanged(Core core, Conference conference, Conference.State state)`
Gets the conference state changed callback.
`void`
`onConfiguringStatus(Core core, ConfiguringState status, String message)`
Gets the LinphoneCoreCbsConfiguringStatusCb callback.
`void`
`onDefaultAccountChanged(Core core, Account account)`
Gets the default account changed callback.
`void`
`onDtmfReceived(Core core, Call call, int dtmf)`
Gets the LinphoneCoreCbsDtmfReceivedCb callback.
`void`
`onEcCalibrationAudioInit(Core core)`
Sets a callback to call when the echo-canceler calibrator has completed its
audio graph.
`void`
`onEcCalibrationAudioUninit(Core core)`
Sets a callback to call when the echo-canceler calibrator destroys its audio
graph.
`void`
`onEcCalibrationResult(Core core, EcCalibratorStatus status, int delayMs)`
Sets a callback to call each time the echo-canceler calibration is completed.
`void`
`onFirstCallStarted(Core core)`
Gets the first call started callback.
`void`
`onFriendListCreated(Core core, FriendList friendList)`
Gets the LinphoneCoreCbsFriendListCreatedCb callback.
`void`
`onFriendListRemoved(Core core, FriendList friendList)`
Gets the LinphoneCoreCbsFriendListRemovedCb callback.
`void`
`onGlobalStateChanged(Core core, GlobalState state, String message)`
Gets the global state changed callback.
`void`
`onImeeUserRegistration(Core core, boolean status, String userId, String info)`
Gets the IMEE user registration callback.
`void`
`onInfoReceived(Core core, Call call, InfoMessage message)`
Gets the LinphoneCoreCbsInfoReceivedCb callback.
`void`
`onIsComposingReceived(Core core, ChatRoom chatRoom)`
Gets the LinphoneCoreCbsIsComposingReceivedCb callback.
`void`
`onLastCallEnded(Core core)`
Gets the last call ended callback.
`void`
`onLogCollectionUploadProgressIndication(Core core, int offset, int total)`
Gets the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.
`void`
`onLogCollectionUploadStateChanged(Core core, Core.LogCollectionUploadState state, String info)`
Gets the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.
`void`
`onMessageContentEdited(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the message content edited callback.
`void`
`onMessageReceived(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the LinphoneCoreCbsMessageReceivedCb callback.
`void`
`onMessageReceivedUnableDecrypt(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.
`void`
`onMessageRetracted(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the message retracted callback.
`void`
`onMessageSent(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the LinphoneCoreCbsMessageSentCb callback.
`void`
`onMessagesReceived(Core core, ChatRoom chatRoom, ChatMessage[] messages)`
Gets the LinphoneCoreCbsMessagesReceivedCb callback.
`void`
`onMessageWaitingIndicationChanged(Core core, Event lev, MessageWaitingIndication mwi)`
Gets the message waiting indication changed callback.
`void`
`onNetworkReachable(Core core, boolean reachable)`
Gets the LinphoneCoreCbsNetworkReachableCb callback.
`void`
`onNewAlertTriggered(Core core, Alert alert)`
Gets the on alert callback.
`void`
`onNewMessageReaction(Core core, ChatRoom chatRoom, ChatMessage message, ChatMessageReaction reaction)`
Gets the LinphoneCoreCbsNewMessageReactionCb callback.
`void`
`onNewSubscriptionRequested(Core core, Friend linphoneFriend, String url)`
Gets the LinphoneCoreCbsNewSubscriptionRequestedCb callback.
`void`
`onNotifyPresenceReceived(Core core, Friend linphoneFriend)`
Gets the LinphoneCoreCbsNotifyPresenceReceivedCb callback.
`void`
`onNotifyPresenceReceivedForUriOrTel(Core core, Friend linphoneFriend, String uriOrTel, PresenceModel presenceModel)`
Gets the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.
`void`
`onNotifyReceived(Core core, Event linphoneEvent, String notifiedEvent, Content body)`
Gets the LinphoneCoreCbsNotifyReceivedCb callback.
`void`
`onNotifySent(Core core, Event linphoneEvent, Content body)`
Gets the LinphoneCoreCbsNotifySentCb callback.
`void`
`onPreviewDisplayErrorOccurred(Core core, int errorCode)`
Gets the preview display error callback.
`void`
`onPublishReceived(Core core, Event linphoneEvent, String publishEvent, Content body)`
Gets the LinphoneCoreCbsPublishReceivedCb callback.
`void`
`onPublishStateChanged(Core core, Event linphoneEvent, PublishState state)`
Gets the LinphoneCoreCbsPublishStateChangedCb callback.
`void`
`onPushNotificationReceived(Core core, String payload)`
Gets the push notification received callback.
`void`
`onQrcodeFound(Core core, String result)`
Gets the qrcode found callback.
`void`
`onReactionRemoved(Core core, ChatRoom chatRoom, ChatMessage message, Address address)`
Gets the LinphoneCoreCbsReactionRemovedCb callback.
`void`
`onReferReceived(Core core, Address referToAddr, Headers customHeaders, Content content)`
Gets the LinphoneCoreCbsReferReceivedCb callback.
`void`
`onRegistrationStateChanged(Core core, ProxyConfig proxyConfig, RegistrationState state, String message)`
Deprecated.
`void`
`onRemainingNumberOfFileTransferChanged(Core core, int downloadCount, int uploadCount)`
Gets the LinphoneCoreCbsRemainingNumberOfFileTransferChangedCb callback.
`void`
`onSnapshotTaken(Core core, String filePath)`
Gets the snapshot taken callback.
`void`
`onSubscribeReceived(Core core, Event linphoneEvent, String subscribeEvent, Content body)`
Gets the LinphoneCoreCbsSubscribeReceivedCb callback.
`void`
`onSubscriptionStateChanged(Core core, Event linphoneEvent, SubscriptionState state)`
Gets the LinphoneCoreCbsSubscriptionStateChangedCb callback.
`void`
`onTransferStateChanged(Core core, Call transferred, Call.State callState)`
Gets the LinphoneCoreCbsTransferStateChangedCb callback.
`void`
`onVersionUpdateCheckResultReceived(Core core, VersionUpdateCheckResult result, String version, String url)`
Gets the version update check result callback.

## Method Details

### onGlobalStateChanged

void onGlobalStateChanged(Core core, GlobalState state, String message)
Gets the global state changed callback.

### onRegistrationStateChanged

@Deprecated void onRegistrationStateChanged(Core core, ProxyConfig proxyConfig, RegistrationState state, String message)
Deprecated.
Gets the LinphoneCoreCbsRegistrationStateChangedCb callback.

### onConferenceInfoReceived

void onConferenceInfoReceived(Core core, ConferenceInfo conferenceInfo)
Gets the conference info received callback.

### onPushNotificationReceived

void onPushNotificationReceived(Core core, String payload)
Gets the push notification received callback.

### onPreviewDisplayErrorOccurred

void onPreviewDisplayErrorOccurred(Core core, int errorCode)
Gets the preview display error callback.

### onCallStateChanged

void onCallStateChanged(Core core, Call call, Call.State state, String message)
Gets the LinphoneCoreCbsCallStateChangedCb callback.

### onNotifyPresenceReceived

void onNotifyPresenceReceived(Core core, Friend linphoneFriend)
Gets the LinphoneCoreCbsNotifyPresenceReceivedCb callback.

### onNotifyPresenceReceivedForUriOrTel

void onNotifyPresenceReceivedForUriOrTel(Core core, Friend linphoneFriend, String uriOrTel, PresenceModel presenceModel)
Gets the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.

### onNewSubscriptionRequested

void onNewSubscriptionRequested(Core core, Friend linphoneFriend, String url)
Gets the LinphoneCoreCbsNewSubscriptionRequestedCb callback.

### onAuthenticationRequested

void onAuthenticationRequested(Core core, AuthInfo authInfo, AuthMethod method)
Gets the LinphoneCoreCbsAuthenticationRequestedCb callback.

### onCallLogUpdated

void onCallLogUpdated(Core core, CallLog callLog)
Gets the LinphoneCoreCbsCallLogUpdatedCb callback.

### onCallIdUpdated

void onCallIdUpdated(Core core, String previousCallId, String currentCallId)
Gets the LinphoneCoreCbsCallIdUpdatedCb callback.

### onRemainingNumberOfFileTransferChanged

void onRemainingNumberOfFileTransferChanged(Core core, int downloadCount, int uploadCount)
Gets the LinphoneCoreCbsRemainingNumberOfFileTransferChangedCb callback.

### onMessageReceived

void onMessageReceived(Core core, ChatRoom chatRoom, ChatMessage message)
Gets the LinphoneCoreCbsMessageReceivedCb callback.

### onNewMessageReaction

void onNewMessageReaction(Core core, ChatRoom chatRoom, ChatMessage message, ChatMessageReaction reaction)
Gets the LinphoneCoreCbsNewMessageReactionCb callback.

### onReactionRemoved

void onReactionRemoved(Core core, ChatRoom chatRoom, ChatMessage message, Address address)
Gets the LinphoneCoreCbsReactionRemovedCb callback.

### onMessagesReceived

void onMessagesReceived(Core core, ChatRoom chatRoom, ChatMessage[] messages)
Gets the LinphoneCoreCbsMessagesReceivedCb callback.

### onMessageSent

void onMessageSent(Core core, ChatRoom chatRoom, ChatMessage message)
Gets the LinphoneCoreCbsMessageSentCb callback.

### onChatRoomSessionStateChanged

void onChatRoomSessionStateChanged(Core core, ChatRoom chatRoom, Call.State state, String message)
Gets the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.

### onChatRoomRead

void onChatRoomRead(Core core, ChatRoom chatRoom)
Gets the LinphoneCoreCbsChatRoomReadCb callback.

### onMessageReceivedUnableDecrypt

void onMessageReceivedUnableDecrypt(Core core, ChatRoom chatRoom, ChatMessage message)
Gets the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.

### onIsComposingReceived

void onIsComposingReceived(Core core, ChatRoom chatRoom)
Gets the LinphoneCoreCbsIsComposingReceivedCb callback.

### onDtmfReceived

void onDtmfReceived(Core core, Call call, int dtmf)
Gets the LinphoneCoreCbsDtmfReceivedCb callback.

### onReferReceived

void onReferReceived(Core core, Address referToAddr, Headers customHeaders, Content content)
Gets the LinphoneCoreCbsReferReceivedCb callback.

### onCallGoclearAckSent

void onCallGoclearAckSent(Core core, Call call)
Gets the LinphoneCoreCbsCallGoClearAckSentCb callback.

### onCallEncryptionChanged

void onCallEncryptionChanged(Core core, Call call, boolean mediaEncryptionEnabled, String authenticationToken)
Gets the LinphoneCoreCbsCallEncryptionChangedCb callback.

### onCallSendMasterKeyChanged

void onCallSendMasterKeyChanged(Core core, Call call, String masterKey)
Gets the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.

### onCallReceiveMasterKeyChanged

void onCallReceiveMasterKeyChanged(Core core, Call call, String masterKey)
Gets the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.

### onTransferStateChanged

void onTransferStateChanged(Core core, Call transferred, Call.State callState)
Gets the LinphoneCoreCbsTransferStateChangedCb callback.

### onBuddyInfoUpdated

void onBuddyInfoUpdated(Core core, Friend linphoneFriend)
Gets the LinphoneCoreCbsBuddyInfoUpdatedCb callback.

### onCallStatsUpdated

void onCallStatsUpdated(Core core, Call call, CallStats callStats)
Gets the LinphoneCoreCbsCallStatsUpdatedCb callback.

### onInfoReceived

void onInfoReceived(Core core, Call call, InfoMessage message)
Gets the LinphoneCoreCbsInfoReceivedCb callback.

### onSubscriptionStateChanged

void onSubscriptionStateChanged(Core core, Event linphoneEvent, SubscriptionState state)
Gets the LinphoneCoreCbsSubscriptionStateChangedCb callback.

### onNotifySent

void onNotifySent(Core core, Event linphoneEvent, Content body)
Gets the LinphoneCoreCbsNotifySentCb callback.

### onNotifyReceived

void onNotifyReceived(Core core, Event linphoneEvent, String notifiedEvent, Content body)
Gets the LinphoneCoreCbsNotifyReceivedCb callback.

### onSubscribeReceived

void onSubscribeReceived(Core core, Event linphoneEvent, String subscribeEvent, Content body)
Gets the LinphoneCoreCbsSubscribeReceivedCb callback.

### onPublishStateChanged

void onPublishStateChanged(Core core, Event linphoneEvent, PublishState state)
Gets the LinphoneCoreCbsPublishStateChangedCb callback.

### onPublishReceived

void onPublishReceived(Core core, Event linphoneEvent, String publishEvent, Content body)
Gets the LinphoneCoreCbsPublishReceivedCb callback.

### onConfiguringStatus

void onConfiguringStatus(Core core, ConfiguringState status, String message)
Gets the LinphoneCoreCbsConfiguringStatusCb callback.

### onNetworkReachable

void onNetworkReachable(Core core, boolean reachable)
Gets the LinphoneCoreCbsNetworkReachableCb callback.

### onLogCollectionUploadStateChanged

void onLogCollectionUploadStateChanged(Core core, Core.LogCollectionUploadState state, String info)
Gets the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.

### onLogCollectionUploadProgressIndication

void onLogCollectionUploadProgressIndication(Core core, int offset, int total)
Gets the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.

### onFriendListCreated

void onFriendListCreated(Core core, FriendList friendList)
Gets the LinphoneCoreCbsFriendListCreatedCb callback.

### onFriendListRemoved

void onFriendListRemoved(Core core, FriendList friendList)
Gets the LinphoneCoreCbsFriendListRemovedCb callback.

### onCallCreated

void onCallCreated(Core core, Call call)
Gets the call created callback.

### onVersionUpdateCheckResultReceived

void onVersionUpdateCheckResultReceived(Core core, VersionUpdateCheckResult result, String version, String url)
Gets the version update check result callback.

### onConferenceStateChanged

void onConferenceStateChanged(Core core, Conference conference, Conference.State state)
Gets the conference state changed callback.

### onChatRoomStateChanged

void onChatRoomStateChanged(Core core, ChatRoom chatRoom, ChatRoom.State state)
Gets the chat room state changed callback.

### onChatRoomSubjectChanged

void onChatRoomSubjectChanged(Core core, ChatRoom chatRoom)
Gets the chat room subject changed callback.

### onChatRoomEphemeralMessageDeleted

void onChatRoomEphemeralMessageDeleted(Core core, ChatRoom chatRoom)
Gets the chat room ephemeral message deleted callback.

### onImeeUserRegistration

void onImeeUserRegistration(Core core, boolean status, String userId, String info)
Gets the IMEE user registration callback.

### onQrcodeFound

void onQrcodeFound(Core core, String result)
Gets the qrcode found callback.

### onFirstCallStarted

void onFirstCallStarted(Core core)
Gets the first call started callback.

### onLastCallEnded

void onLastCallEnded(Core core)
Gets the last call ended callback.

### onAudioDeviceChanged

void onAudioDeviceChanged(Core core, AudioDevice audioDevice)
Gets the audio device changed callback.

### onAudioDevicesListUpdated

void onAudioDevicesListUpdated(Core core)
Gets the audio devices list updated callback.

### onEcCalibrationResult

void onEcCalibrationResult(Core core, EcCalibratorStatus status, int delayMs)
Sets a callback to call each time the echo-canceler calibration is completed.

### onEcCalibrationAudioInit

void onEcCalibrationAudioInit(Core core)
Sets a callback to call when the echo-canceler calibrator has completed its
audio graph.

### onEcCalibrationAudioUninit

void onEcCalibrationAudioUninit(Core core)
Sets a callback to call when the echo-canceler calibrator destroys its audio
graph.

### onAccountRegistrationStateChanged

void onAccountRegistrationStateChanged(Core core, Account account, RegistrationState state, String message)
Gets the account registration state changed callback.

### onDefaultAccountChanged

void onDefaultAccountChanged(Core core, Account account)
Gets the default account changed callback.

### onAccountAdded

void onAccountAdded(Core core, Account account)
Gets the account added callback.

### onAccountRemoved

void onAccountRemoved(Core core, Account account)
Gets the new account removed callback.

### onMessageWaitingIndicationChanged

void onMessageWaitingIndicationChanged(Core core, Event lev, MessageWaitingIndication mwi)
Gets the message waiting indication changed callback.

### onSnapshotTaken

void onSnapshotTaken(Core core, String filePath)
Gets the snapshot taken callback.

### onMessageContentEdited

void onMessageContentEdited(Core core, ChatRoom chatRoom, ChatMessage message)
Gets the message content edited callback.

### onMessageRetracted

void onMessageRetracted(Core core, ChatRoom chatRoom, ChatMessage message)
Gets the message retracted callback.

### onNewAlertTriggered

void onNewAlertTriggered(Core core, Alert alert)
Gets the on alert callback.